For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiry Sessions
      • POSTCreate an Inquiry Session
      • POSTExpire Inquiry Sessions
      • GETRetrieve an Inquiry Session
      • POSTExpire an Inquiry Session
      • POSTGenerate a one-time link for Inquiry Session
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiry Sessions

List all Inquiry Sessions

GET
https://api.withpersona.com/api/v1/inquiry-sessions
GET
/api/v1/inquiry-sessions
$curl https://api.withpersona.com/api/v1/inquiry-sessions \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "iqse_ABC123",
5 "attributes": {
6 "status": "expired",
7 "created-at": "2023-07-25T04:15:20.000Z",
8 "started-at": "2023-07-25T05:14:50.000Z",
9 "expired-at": "2023-07-26T05:14:50.000Z",
10 "ip-address": "127.0.0.1",
11 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36",
12 "os-name": "Mac",
13 "os-full-version": "10.15.7",
14 "device-type": "desktop",
15 "browser-name": "Chrome",
16 "browser-full-version": "115.0.0.0",
17 "is-proxy": false,
18 "is-tor": false,
19 "is-datacenter": false,
20 "is-vpn": false,
21 "threat-level": "low",
22 "country-code": "US",
23 "country-name": "United States",
24 "region-code": "CA",
25 "region-name": "California",
26 "latitude": 37.7688,
27 "longitude": -122.262
28 },
29 "relationships": {
30 "inquiry": {
31 "data": {
32 "type": "inquiry",
33 "id": "inq_ABC123"
34 }
35 },
36 "device": {
37 "data": {
38 "type": "device",
39 "id": "dev_ABC123"
40 }
41 }
42 },
43 "type": "inquiry-session"
44 }
45 ],
46 "links": {
47 "prev": "/api/v1/inquiry-sessions?page%5Bbefore%5D=iqse_ABC123",
48 "next": "/api/v1/inquiry-sessions?page%5Bafter%5D=iqse_ABC123"
49 }
50}
Retrieves a list of Inquiry Sessions. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Create an Inquiry Session

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

filterobjectOptional

Response

This endpoint returns a collection of Inquiry Session objects.
datalist of objects
linksobject
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.